## aspic 1.05

=== src/Makefile ===
# Unix base make file for Aspic.

# The normal targets in this Makefile are not called directly, but should be
# called from the top-level Makefile. To make it easy when developing from
# within the source directory, a call with no target gets passed back up to
# the outer Makefile, as does "make test".

intcall:;      cd ..; $(MAKE);
test:;         cd ..; $(MAKE) test;

# Compile step for the modules

.SUFFIXES:     .o .c
.c.o:;         @echo "$(CC) $*.c"
	       $(FE)$(CC) -c $(CFLAGS) $*.c


# Object module lists for the program

ASPICOBJ =     aspic.o rditem.o rdsubs.o read.o tables.o tree.o \
               write.o wrps.o wrsg.o wrsv.o


# Link step for the program

aspic:         $(ASPICOBJ)
	       @echo "$(CC) -o aspic"
	       $(FE)$(CC) $(LFLAGS) -o aspic $(ASPICOBJ) -lm
	       @echo ">>> aspic command built"; echo ""


# Dependencies

aspic.o:       Makefile ../Makefile aspic.c   aspic.h mytypes.h
rditem.o:      Makefile ../Makefile rditem.c  aspic.h mytypes.h
rdsubs.o:      Makefile ../Makefile rdsubs.c  aspic.h mytypes.h
read.o:        Makefile ../Makefile read.c    aspic.h mytypes.h
tables.o:      Makefile ../Makefile tables.c  aspic.h mytypes.h
tree.o:        Makefile ../Makefile tree.c    aspic.h mytypes.h
write.o:       Makefile ../Makefile write.c   aspic.h mytypes.h
wrps.o:        Makefile ../Makefile wrps.c    aspic.h mytypes.h
wrsg.o:        Makefile ../Makefile wrsg.c    aspic.h mytypes.h
wrsv.o:        Makefile ../Makefile wrsv.c    aspic.h mytypes.h
            
# Clean up etc

clean:;        /bin/rm -f *.o aspic 

# End

=== debian/changelog ===
aspic (1.05-5) unstable; urgency=medium

  * Adopt package (Closes: #657083).
  * Convert to 3.0 source format (Closes: #1007538).
  * Update debhelper to compat 10.
  * Set Priority to optional (extra is deprecated).
  * d/copyright: Convert to machine-readable format.

 -- Bastian Germann <bage@debian.org>  Mon, 05 Dec 2022 20:26:58 +0100

aspic (1.05-4) unstable; urgency=low

  * The "pbuilder is not just for wussies" release.
  * Add ghostscript to build-depends.

 -- Wouter Verhelst <wouter@debian.org>  Sun, 03 Apr 2011 18:09:55 +0200

aspic (1.05-3) unstable; urgency=low

  * Add missing build-depends on xfpt and sdop
  * Fix logic in debian/rules: use "[ ! -f ] ||" instead of "[ -f ] &&",
    otherwise we error out if the file isn't there.
  * Fix doc/Build script to use aspic from ../src instead of from $PATH.

 -- Wouter Verhelst <wouter@debian.org>  Sun, 03 Apr 2011 14:00:02 +0200

aspic (1.05-2) unstable; urgency=low

  * New upstream tarball of same version, including source to aspic.pdf
    to satisfy documentation freeness requirements.
  * Build/clean doc/aspic.pdf, too
  * Install doc/aspic.pdf to /usr/share/doc/aspic

 -- Wouter Verhelst <wouter@debian.org>  Wed, 02 Mar 2011 17:28:45 +0100

aspic (1.05-1) unstable; urgency=low

  * Initial release.

 -- Wouter Verhelst <wouter@debian.org>  Fri, 11 Feb 2011 12:59:34 +0100

=== debian/control ===
Source: aspic
Section: tex
Priority: optional
Maintainer: Bastian Germann <bage@debian.org>
Build-Depends: debhelper-compat (= 10), xfpt, sdop, ghostscript
Standards-Version: 3.9.1

Package: aspic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Line art generator
 Aspic is a program that generates line art images from a text
 description of a picture that contains commands such as "line", "box",
 "circle", and "arc". Aspic's concept is similar to the "pic" command.
 Output is either encapsulated PostScript, or Scalable Vector Graphics
 (SVG). Quite complex pictures can be constructed from Aspic's
 primitives, which include facilities for positioning text alongside
 graphics, and the use of colour.

## aspic 2.00+dfsg

=== src/Makefile ===
# Basic make file for Aspic.

# The normal targets in this Makefile are not called directly, but should be
# called from the top-level Makefile.

# Compile step for the modules

.SUFFIXES:     .o .c
.c.o:;         @echo "$(CC) $*.c"
	       $(FE)$(CC) -c $(CFLAGS) $*.c


# Object module lists for the program

ASPICOBJ =     aspic.o rditem.o rdsubs.o read.o tables.o tree.o \
               write.o wrps.o wrsv.o


# Link step for the program

aspic:         $(ASPICOBJ)
	       @echo "$(CC) -o aspic"
	       $(FE)$(CC) $(CFLAGS) $(LFLAGS) -o aspic $(ASPICOBJ) -lm
	       @echo ">>> aspic command built"; echo ""


# Dependencies

aspic.o:       Makefile ../Makefile aspic.c   aspic.h mytypes.h
rditem.o:      Makefile ../Makefile rditem.c  aspic.h mytypes.h
rdsubs.o:      Makefile ../Makefile rdsubs.c  aspic.h mytypes.h
read.o:        Makefile ../Makefile read.c    aspic.h mytypes.h
tables.o:      Makefile ../Makefile tables.c  aspic.h mytypes.h
tree.o:        Makefile ../Makefile tree.c    aspic.h mytypes.h
write.o:       Makefile ../Makefile write.c   aspic.h mytypes.h
wrps.o:        Makefile ../Makefile wrps.c    aspic.h mytypes.h
wrsv.o:        Makefile ../Makefile wrsv.c    aspic.h mytypes.h
            
# Clean up etc

clean:;        /bin/rm -f *.o aspic 

# End

=== debian/changelog ===
aspic (2.00+dfsg-4) unstable; urgency=medium

  * QA upload.

  * Adjusted install patch to only use DESTDIR during installation.
  * Renamed patch to consistent naming scheme.
  * Added simple autopkgtest check.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 22 May 2024 04:28:11 +0200

aspic (2.00+dfsg-3) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.1 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Bump debhelper from old 10 to 13.
  * Added 1000-clean-distclean.patch to fix rebuildability problem
    (Closes: #1043971, #1049554).
  * Flag in d/control that no root is needed during build.
  * Added 1010-hardening.patch to fix hardened build.
  * Adjusted d/rules to show compile options used during build.
  * Added license shortname to d/copyright.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 20 May 2024 11:29:35 +0200

aspic (2.00+dfsg-2) unstable; urgency=medium

  * QA upload.
  * d/copyright: Add Source (Closes: #1031241).

 -- Bastian Germann <bage@debian.org>  Mon, 13 Feb 2023 21:18:22 +0100

aspic (2.00+dfsg-1) unstable; urgency=high

  * Use GitHub Release as source.
  * Repack to get rid of built doc.

 -- Bastian Germann <bage@debian.org>  Sat, 11 Feb 2023 14:40:51 +0100

aspic (2.00-1) unstable; urgency=medium

  * New upstream version (Closes: #1030889, LP: #2003344, LP: #2003354).

 -- Bastian Germann <bage@debian.org>  Fri, 10 Feb 2023 14:09:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,20 @@
 Source: aspic
 Section: tex
 Priority: optional
-Maintainer: Bastian Germann <bage@debian.org>
-Build-Depends: debhelper-compat (= 10), xfpt, sdop, ghostscript
-Standards-Version: 3.9.1
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 13),
+               ghostscript,
+               sdop,
+               xfpt,
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/debian/aspic
+Vcs-Git: https://salsa.debian.org/debian/aspic.git
+Rules-Requires-Root: no
 
 Package: aspic
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: Line art generator
  Aspic is a program that generates line art images from a text
  description of a picture that contains commands such as "line", "box",

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

# Don't fail on test suite. There is float math involved that may differ
# only on rounding errors, but is verified with string verification.
override_dh_auto_test:
	-dh_auto_test
	[ ! -f testing/test.out ] || cat testing/test.*

execute_after_dh_auto_clean:
	rm -f config.log config.status
	rm -f doc/aspic.pdf

override_dh_installman:
	rm -rf debian/aspic/usr/man
	dh_installman

override_dh_auto_build:
	dh_auto_build -- FULLECHO=
	cd doc && ./Build

override_dh_auto_configure:
	./configure --prefix=/usr --mandir=/usr/share/man

=== debian/tests/control ===
Tests: test-cmdline
